#ifndef CRECT_H
#define CRECT_H

class CRect
{
public:
	CRect();
	CRect(double l, double t, double r, double b);
	
	bool IsRectNull();
	bool IsRectEmpty();
	void SetRectEmpty();
	void IntersectRect(const CRect &rect1, const CRect &rect2);
	void NormalizeRect();
		
	bool PtInRect(double x, double y);
	double Width();
	double Height();
	
	double left, right, top, bottom;
};

#endif
